<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('namespacemembers.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all namespace members with links to the namespace documentation for each member:</div>

<h3><a id="index_a" name="index_a"></a>- a -</h3><ul>
<li>a&#160;:&#160;<a class="el" href="namespaceacceleration__sensor.html#ab2e5304238c80d926f40260bab291335">acceleration_sensor</a>, <a class="el" href="namespaceearth__sensor.html#a9520cca3a23b1149f6aa05dee54a25b8">earth_sensor</a>, <a class="el" href="namespacegyroscope.html#a40777e85b2ba50f1350f0653aec1ff5f">gyroscope</a>, <a class="el" href="namespacemain.html#a5cc615fef263a4062e9dfd759fcbf902">main</a></li>
<li>app&#160;:&#160;<a class="el" href="namespacewidgets.html#a53b36e266b1782e3349f8caec55d1b70">widgets</a></li>
<li>apply_sensitivity()&#160;:&#160;<a class="el" href="namespaceutilities.html#a1897ac7578d69d15311f4cba8342520c">utilities</a></li>
</ul>


<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>calc_angular_motion_parameters()&#160;:&#160;<a class="el" href="namespaceutilities.html#afbf40a3dbaf1965a9c7250b95ffbd2e0">utilities</a></li>
<li>change_sensor_parameter()&#160;:&#160;<a class="el" href="namespaceutilities.html#ab2de0cd86d98eba1f88049830f8c8e8a">utilities</a></li>
<li>create_comp_tables()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#aa25433d44f968b32f5ed4278fc2030e3">config_loader</a></li>
<li>create_config()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#a9156a263534268808c64fb69d1864204">config_loader</a></li>
<li>create_table()&#160;:&#160;<a class="el" href="namespaceutilities.html#a92dc8d3720a4410dfd4c0d28f27b4745">utilities</a></li>
<li>create_time_parameters()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#a6c4242f3450d4ff01407b44156b5dc6d">config_loader</a></li>
</ul>


<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>delta_t&#160;:&#160;<a class="el" href="namespacedynamics.html#a05c4303e190f991d6c4064bc280fa1b1">dynamics</a></li>
<li>demand_user_config_filename()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#ad543d4aa6091f1c8b8e01a89843d1940">config_loader</a></li>
<li>dynamics&#160;:&#160;<a class="el" href="namespacedynamics.html#a04f5df96bc463af8f42a206f5bbec1b0">dynamics</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>ECEF_to_TEME()&#160;:&#160;<a class="el" href="namespaceutilities.html#ae42be3cf13c77c092a13e1fe001c228e">utilities</a></li>
<li>env&#160;:&#160;<a class="el" href="namespaceorbit.html#a1787fe17c1cbe4ade03e5b08da249269">orbit</a></li>
<li>euler_init&#160;:&#160;<a class="el" href="namespacedynamics.html#a699ef2e10342fa3093767c8aaa1f22e1">dynamics</a></li>
<li>euler_to_quaternion()&#160;:&#160;<a class="el" href="namespaceutilities.html#a086a460a9ebf58e8f7d57edf41d7cc26">utilities</a></li>
<li>ex&#160;:&#160;<a class="el" href="namespaceview.html#a13191395e6cb66aab255f3bd47bee6d7">view</a>, <a class="el" href="namespacewidgets.html#a9455d7d00e1dc89e7bb08b8dccb377f7">widgets</a></li>
</ul>


<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>finalise_sim_dict()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#a98cbb01192b003f5cfe734921c3b167c">config_loader</a></li>
<li>fine&#160;:&#160;<a class="el" href="namespacesunsensor.html#a263cf7efcd39f6b624cb8cdbca3b8e16">sunsensor</a></li>
<li>freq&#160;:&#160;<a class="el" href="namespacedynamics.html#addcd2690b8e1895c0a9e32d99ca3b37f">dynamics</a>, <a class="el" href="namespaceorbit.html#a760fb833bb7db64562fd60c2ee2a9593">orbit</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>get_acceleration_frame_transformation()&#160;:&#160;<a class="el" href="namespaceutilities.html#af5c091829a3a71bf79e949fd01235fd7">utilities</a></li>
<li>get_attitude()&#160;:&#160;<a class="el" href="namespaceutilities.html#aa3d972c6f97a6bbbec799cd277d45755">utilities</a></li>
<li>get_cardan_angular_velocity_transformation()&#160;:&#160;<a class="el" href="namespaceutilities.html#aff9b20378f64c39dd630fc754c9a99dd">utilities</a></li>
<li>get_config()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#ac7594db56c84c6ba3d75b94585a875d3">config_loader</a></li>
<li>get_last_line_from_database_table()&#160;:&#160;<a class="el" href="namespaceutilities.html#a88011419202e59b8ba01ecd3125edbda">utilities</a></li>
<li>get_mean_motion()&#160;:&#160;<a class="el" href="namespaceutilities.html#a49aa75cc06a188648294793e81ddc535">utilities</a></li>
<li>get_quaternion_angular_velocity_transformation()&#160;:&#160;<a class="el" href="namespaceutilities.html#a48338e52a1a2f2b8b15bc45c7984a32b">utilities</a></li>
<li>get_quaternion_angular_velocity_transformation_non_unit_quaternions()&#160;:&#160;<a class="el" href="namespaceutilities.html#ae49a75eb2a8f0d61907921ebf0c4e054">utilities</a></li>
<li>get_table_from_database()&#160;:&#160;<a class="el" href="namespaceutilities.html#a2782391bb18559b954bd2acd657beae7">utilities</a></li>
</ul>


<h3><a id="index_h" name="index_h"></a>- h -</h3><ul>
<li>h_ec&#160;:&#160;<a class="el" href="namespaceearth__sensor.html#abd113b9a89069babe08bf35e05dd996a">earth_sensor</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>I_xx&#160;:&#160;<a class="el" href="namespacedynamics.html#a531f5e21ad26aa5e34d8540ea547574b">dynamics</a></li>
<li>I_yy&#160;:&#160;<a class="el" href="namespacedynamics.html#ac982197dac5e8787c0a7e54187fc005b">dynamics</a></li>
<li>I_zz&#160;:&#160;<a class="el" href="namespacedynamics.html#a3112f267b01a76c4cde843d65519fe39">dynamics</a></li>
<li>import_config_file()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#a3c88a5c1420a17c044230ca1a7e450b2">config_loader</a></li>
<li>interpolate_dataframe()&#160;:&#160;<a class="el" href="namespaceutilities.html#ad55d91156b44ce5a5c8a66463ea40870">utilities</a></li>
<li>interpolate_two_rows()&#160;:&#160;<a class="el" href="namespaceutilities.html#aacd283a8bae1f09d328bdf00f1f72aed">utilities</a></li>
</ul>


<h3><a id="index_j" name="index_j"></a>- j -</h3><ul>
<li>julian_to_decimal()&#160;:&#160;<a class="el" href="namespaceutilities.html#acde4868c6a9a670183e1607419802af6">utilities</a></li>
</ul>


<h3><a id="index_l" name="index_l"></a>- l -</h3><ul>
<li>level&#160;:&#160;<a class="el" href="namespacedynamics.html#a27f0ccb48966de89950481c9fb376eac">dynamics</a>, <a class="el" href="namespacemagnetometer.html#a4244a57488711490e067dfa8b229b6e5">magnetometer</a></li>
<li>log&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#a17fdd300d92b1207239fa95cd0e5a0d3">config_loader</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>max_time&#160;:&#160;<a class="el" href="namespaceorbit.html#a9fd1e9fc1c4041e086879370f2ef3ee6">orbit</a></li>
<li>mgt&#160;:&#160;<a class="el" href="namespacemagnetometer.html#ad9b0092bb693bb3064b26693c9af3fd8">magnetometer</a></li>
<li>mu&#160;:&#160;<a class="el" href="namespacedynamics.html#a92c52a7ded9d56b5126bc8fd92cf5c1d">dynamics</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>n_orbits&#160;:&#160;<a class="el" href="namespacedynamics.html#a2119438381e64806742211c8eb4ded15">dynamics</a></li>
<li>ned2ecef()&#160;:&#160;<a class="el" href="namespaceutilities.html#aab4c606d28f0224b0e8a58ef97e7b499">utilities</a></li>
<li>normalise_params()&#160;:&#160;<a class="el" href="namespaceconfig__loader.html#a10158be8236547cff85d28e2bb9cbb8e">config_loader</a></li>
</ul>


<h3><a id="index_o" name="index_o"></a>- o -</h3><ul>
<li>orbit&#160;:&#160;<a class="el" href="namespaceorbit.html#afd376528df3ec87f9d2aaf704c034aa0">orbit</a></li>
<li>ori&#160;:&#160;<a class="el" href="namespaceearth__sensor.html#a1eb2a197bb64fb0e312b8e758430d7b6">earth_sensor</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>parameters&#160;:&#160;<a class="el" href="namespacemain.html#a2c6e09b083bcb941ce513d1d6f344f72">main</a></li>
<li>photo&#160;:&#160;<a class="el" href="namespacesunsensor.html#a1e94627e97af3ae7e16839c743de1116">sunsensor</a></li>
<li>plot_all()&#160;:&#160;<a class="el" href="namespacefast__plot.html#aa9e44ac19072cab4ffe535c19ae73908">fast_plot</a></li>
</ul>


<h3><a id="index_q" name="index_q"></a>- q -</h3><ul>
<li>quaternion_to_dcm()&#160;:&#160;<a class="el" href="namespaceutilities.html#afe14dd9db04d82f220da8d3989cfecb9">utilities</a></li>
<li>quaternion_to_euler()&#160;:&#160;<a class="el" href="namespaceutilities.html#a30dc58f9462f8270d7f9bb6ce246808a">utilities</a></li>
<li>quatNorm()&#160;:&#160;<a class="el" href="namespaceutilities.html#abc06c2041355fe4c7d16d48631271cc0">utilities</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>r&#160;:&#160;<a class="el" href="namespaceacceleration__sensor.html#a772417e0921dcfc2e6060a27a231a119">acceleration_sensor</a>, <a class="el" href="namespacegyroscope.html#aa3b8cceffd643b712ece6020da00c790">gyroscope</a></li>
<li>r_earth&#160;:&#160;<a class="el" href="namespacedynamics.html#aa01bbf12f7a07e5e529dffe10581b913">dynamics</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>start&#160;:&#160;<a class="el" href="namespacemagnetometer.html#a8df6090d40a7ca2c00ff70721263342f">magnetometer</a></li>
<li>start_sim_automatically&#160;:&#160;<a class="el" href="namespacemain.html#a5711f0e011e569dfa02a79dd1bb195f4">main</a></li>
<li>start_sim_input&#160;:&#160;<a class="el" href="namespacemain.html#acdb5d1bf3114eac24ae363810d6f27f0">main</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>t1&#160;:&#160;<a class="el" href="namespaceacceleration__sensor.html#ad1e32364afad4a650df6cd464f2d36cd">acceleration_sensor</a>, <a class="el" href="namespacegyroscope.html#a24bcd547467f257aaf63df06ceab2f88">gyroscope</a></li>
<li>t2&#160;:&#160;<a class="el" href="namespaceacceleration__sensor.html#a4ff75686c158925dfae06100ca91be50">acceleration_sensor</a>, <a class="el" href="namespacegyroscope.html#a79e8a5ae673197959dc90f93fc9d0b3c">gyroscope</a></li>
<li>TEME_to_geodetic()&#160;:&#160;<a class="el" href="namespaceutilities.html#a1e441a7e53345a5cd02b4c734cb893a1">utilities</a></li>
<li>test_write()&#160;:&#160;<a class="el" href="namespaceacceleration__sensor.html#a1dd56421f40225ade79f780da1caf4fe">acceleration_sensor</a>, <a class="el" href="namespacegyroscope.html#ace16d4ca4eb1a1cc2e5945c467f6fb0a">gyroscope</a>, <a class="el" href="namespacemagnetometer.html#a3cbcb0ff1b345bf5ff545a3b1ed87bed">magnetometer</a></li>
<li>torque_initial&#160;:&#160;<a class="el" href="namespacedynamics.html#a0a7c49364360609636ecf400d8e393ca">dynamics</a></li>
</ul>


<h3><a id="index_w" name="index_w"></a>- w -</h3><ul>
<li>w_initial&#160;:&#160;<a class="el" href="namespacedynamics.html#a45b1072784cacc71dc1f5500357c8fbd">dynamics</a></li>
<li>write_line_into_database_table()&#160;:&#160;<a class="el" href="namespaceutilities.html#abda7d2859edb6c561a49699a358da6fe">utilities</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
